%global debug_package %{nil}

Name: python-sh
Epoch: 100
Version: 1.14.2
Release: 1%{?dist}
BuildArch: noarch
Summary: Python process launching
License: MIT
URL: https://github.com/amoffat/sh/releases
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
sh is a full-fledged subprocess replacement for Python 2, Python 3, PyPy
and PyPy3 that allows you to call any program as if it were a function.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-sh
Summary: Python process launching
Requires: python3
Provides: python3-sh = %{epoch}:%{version}-%{release}
Provides: python3dist(sh) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-sh = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(sh) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-sh = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(sh) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-sh
sh is a full-fledged subprocess replacement for Python 2, Python 3, PyPy
and PyPy3 that allows you to call any program as if it were a function.

%files -n python%{python3_version_nodots}-sh
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-sh
Summary: Python process launching
Requires: python3
Provides: python3-sh = %{epoch}:%{version}-%{release}
Provides: python3dist(sh) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-sh = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(sh) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-sh = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(sh) = %{epoch}:%{version}-%{release}

%description -n python3-sh
sh is a full-fledged subprocess replacement for Python 2, Python 3, PyPy
and PyPy3 that allows you to call any program as if it were a function.

%files -n python3-sh
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%changelog
